Bug 1403842 (CVE-2016-6786, CVE-2016-6787) - CVE-2016-6786 CVE-2016-6787 kernel: Possible privilege escalation due to lack of locking around changing event->ctx
Summary: CVE-2016-6786 CVE-2016-6787 kernel: Possible privilege escalation due to lack...
Status: CLOSED NOTABUG
Alias: CVE-2016-6786, CVE-2016-6787
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150204,repor...
Keywords: Security
Depends On: 1209607 1265262 1291071
Blocks: 1403845
TreeView+ depends on / blocked
 
Reported: 2016-12-12 13:30 UTC by Adam Mariš
Modified: 2017-06-01 13:09 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-23 14:55:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2016-12-12 13:30:08 UTC
Possible privilege escalation issue due to lack of mutex locking around places where perf_event::ctx is being changed.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f63a8daa5812afef4f06c962351687e1ff9ccb2b

Comment 3 Vladis Dronov 2016-12-23 14:55:12 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG-2 as the flaw was already fixed in the products listed.


Note You need to log in before you can comment on or make changes to this bug.